---
name: Request on new printers, not included in the software
about: Use this option only after carefully reading the README file and following all the provided instructions.
title: ''
labels: ''
assignees: ''
---
<!--
We are not inclined to process requests to add new printers, unless there are specific software issues that need to be addressed.

The software already includes data converter tools, but with no responsibility for any source data.

We disclaim all responsibility for any risks associated with using EEPROM configurations from external repositories. We do not support fixes and will not merge untested definitions, as improper access to the printer's EEPROM may result in irreversible damage to the device.

This repository is intended for software developers with experience managing Python programs. We will not respond to requests related to development challenges or difficulties in using the software.

However, after reporting clear evidence (including test cases) that no valid external printer definition was found, we may evaluate a request on new printers, provided that the following checklist has been carefully completed.

Please do not expect immediate responses. We will review cases only when it is feasible to do so.
-->

**Scenario**
Clearly describe that you followed the instructions in the README and specifically that you carefully completed the steps described in the [Example to integrate new printers](https://github.com/Ircama/epson_print_conf/?tab=readme-ov-file#example-to-integrate-new-printers). Report the issue including steps to reproduce the behavior and a short description of what you expected to happen.

**Printer model**
Provide the exact printer model.

**Printer status**
Press "Printer status" in the UI. The status box will show a tree view with printer data. Select the status box, right button of the mouse, then copy all data and paste them here.

**Detect Access Keys**
Press "Detect Access Keys". After the operation is completed, the status box will show a tree view with printer data. Select the status box, right button of the mouse, then copy all data and paste them here.

**Detect configuration**
Press "Detect configuration". After the operation is completed, the status box will show a tree view with printer data. Select the status box, right button of the mouse, then copy all data and paste them here.

**Additional context**
Feel free to add any other context about the problem here.
